/*
   Copyright (C) 2000  Ulric Eriksson <ulric@siag.nu>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the Licence, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
   MA 02111-1307, USA.
 */

#ifndef s_RulerP_h
#define s_RulerP_h

#include "Ruler.h"
/* include superclass private header file */
#include <X11/CoreP.h>

/* define unique representation types not found in <X11/StringDefs.h> */

#define XtRRulerResource "RulerResource"

typedef struct {
    int empty;
} RulerClassPart;

typedef struct s_RulerClassRec {
    CoreClassPart	core_class;
    RulerClassPart	ruler_class;
} RulerClassRec;

extern RulerClassRec rulerClassRec;

typedef struct {
    /* resources */
	XFontStruct *font;
	int left_margin, right_margin;
	int paper_width;
	int tab_distance;
	float zoom;
	int top_col;
    /* private state */
	GC gc;
} RulerPart;

typedef struct s_RulerRec {
    CorePart		core;
    RulerPart		ruler;
} RulerRec;

#endif /* s_RulerP_h */
